# User Derived Address

## What is a user derived addresss?

User derived address is a featureOption called 'userInferred' of Address Find functionality that is very powerful in using user input to infer an address sub-premise. We link any inference to a valid address and provide this information to you to decide how best to use it (see [How do I know userInferred has been used?](#how-do-i-know-userinferred-has-been-used)).

Any inference is a known subdwelling component in that our technology and lexical knowledge base recognises the sub-dwelling component and handles it appropriately.

### How user derived address changes behaviour

User derived address alters the address options the end user selects because of the end users input to recognise sub-premise. This is very usefull

**Without User derived**

The unit information is not used because within the data no unit exists at this address. However, the end user is requesting a unit.

![](/files/VCZLUp4FSuZ5OlLCmzmv)

**With User derived**

The unit information is now available for the end user to select as they have searched for it. Importantly, the premise level is what the validated address is linked with.

![](/files/MDoyDPj9uXSKpiUxiIFr)

### How to Implement **User derived address**

Add in call featureOptions "userInferred": "1". This is the only change you need to make. Address Retrieve works normally based upon the "id" supplied in Address Find.

```json
    {
        "payload": [ { "country": "au", "fullAddress": "suite 4 20 bond st, nsw" } ], 
        "sourceOfTruth": "AUPAF",
        "featureOptions": { "userInferred": "1", "singleLineHitNumber": "5" }
    }
```

## How do I know user derived address has been used?

When a User Inferred sub-premise has been selected in Address Find by the customer this confirms the inference eg That the end customer wants to use this address.

The Address id contains the UserInferred detail eg "AU|AUPAF|68930608|UNIT 2".

When calling Retrieve include this full ID containing the User inferred information.

Within the response data ***payload.attributes.UserInferred*** has the value of the userInferred input.

Population of this field

<pre class="language-json"><code class="lang-json">{
    "status": "SUCCESS",
    "messages": [],
    "payload": [
        {
                ...
            "attributes": {
                 ...
                <a data-footnote-ref href="#user-content-fn-1">"UserInferred": "UNIT 5"</a>
            },
            "id": "AU|AUPAF|68930608|UNIT 5",
        ...
        }
    ]
}
</code></pre>

## Which sub-premise types does it work for?

For AU & NZ all of them.&#x20;

For information of a sub-premise be inferred this information must match Loqates Lexical knowledge base. This contains wide range of lexicals such as units, shop, level, floor, suite and various shorthand abbreviations for subdwellings.

If you find one that doesn't work let us know and we will update our knowledge base.

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/guides/user-derived-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
